Source Struct Reference
RPMBUILD.

`#include <build/rpmspec.h>`

Collaboration diagram for Source:
[legend]

## Data Fields

const char * | fullSource
const char * | source
int | flags
rpmuint32_t | num
struct Source * | next

## Detailed Description

Definition at line 37 of file rpmspec.h.

## Field Documentation

int Source::flags

Definition at line 42 of file rpmspec.h.

Referenced by addSource(), doIcon(), doPatch(), doUntar(), findSource(), initSourceHeader(), isSpecFile(), parseNoSource(), prepFetch(), prepFetchVerbose(), spec_get_sources(), and specSourceFlags().

const char* Source::fullSource

Definition at line 39 of file rpmspec.h.

Referenced by addSource(), freeSources(), prepFetch(), spec_get_sources(), and specFullSourceName().

struct Source* Source::next

Definition at line 45 of file rpmspec.h.

Referenced by addSource(), doIcon(), doPatch(), doUntar(), findSource(), freeSources(), getSource(), initSourceHeader(), isSpecFile(), prepFetch(), and spec_get_sources().

rpmuint32_t Source::num

Definition at line 43 of file rpmspec.h.

Referenced by addSource(), doPatch(), doSetupMacro(), doUntar(), findSource(), getSource(), handlePreambleTag(), initSourceHeader(), parseNoSource(), prepFetch(), prepFetchVerbose(), spec_get_sources(), and specSourceNum().

const char* Source::source

Definition at line 41 of file rpmspec.h.

Referenced by addSource(), doIcon(), doPatch(), doUntar(), initSourceHeader(), isSpecFile(), prepFetch(), prepFetchVerbose(), spec_get_sources(), and specSourceName().

The documentation for this struct was generated from the following file:

- build/rpmspec.h